> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search YouTube and get matching videos, channels, playlists, shorts, lives, etc.

## Parameters

<ParamField query="query" type="string" required>
  Search query
</ParamField>

<ParamField query="uploadDate" type="string">
  Upload date Available options: `today`, `this_week`, `this_month`, `this_year`
</ParamField>

<ParamField query="sortBy" type="string">
  Sort by (e.g., `relevance`) Available options: `relevance`, `popular`
</ParamField>

<ParamField query="filter" type="string">
  Filter by these options. Note this doesn't work when you use either 'uploadDate' or 'sortBy'. It basically only works when you have a query. (e.g., `all`) Available options: `shorts`
</ParamField>

<ParamField query="continuationToken" type="string">
  Continuation token to get more videos. Get 'continuationToken' from previous response. (e.g., `4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB`)
</ParamField>

<ParamField query="includeExtras" type="string">
  This will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. *This will slow down the response slightly.* (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/search?query=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "videos": [
      {
        "type": "video",
        "id": "BzSzwqb-OEE",
        "url": "https://www.youtube.com/watch?v=BzSzwqb-OEE",
        "title": "NF - RUNNING (Audio)",
        "thumbnail": "...",
        "channel": {
          "id": "...",
          "title": "NFrealmusic",
          "handle": "..."
        },
        "viewCountInt": 14860541,
        "publishedTimeText": "2 years ago",
        "lengthText": "4:14",
        "lengthSeconds": 254
      }
    ],
    "channels": [],
    "playlists": [],
    "shorts": [
      {
        "type": "short",
        "id": "...",
        "title": "...",
        "viewCountInt": 462705
      }
    ],
    "continuationToken": "EooDEg..."
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "search",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
